# Class CIM_BGPPeerUsesRouteMap
extends CIM_CollectedMSEs

This association defines the RouteMaps that are aggregated and used by a particular BGPPeerGroup object. Multiple instances of the same RouteMap may be aggregated into the same BGPPeerGroup. If this is desired, then the MapSequence attribute of the association can be used to disambiguate them.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_CollectedMSEs
|
+--CIM_BGPPeerUsesRouteMap

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | This association defines the RouteMaps that are aggregated and used by a particular BGPPeerGroup object. Multiple instances of the same RouteMap may be aggregated into the same BGPPeerGroup. If this is desired, then the MapSequence attribute of the association can be used to disambiguate them.
UMLPackagePath | string | CIM::Network::BGP
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MapSequence | uint16 |
Description | string | This defines the position of this RouteMap instance relative to all other instances of the same RouteMap.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_BGPPeerUsesRouteMap | CIM_BGPPeerGroup
Member | CIM_BGPPeerUsesRouteMap | CIM_BGPRouteMap

## Class Methods